> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-feature-integrate-google-analytics.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/top-validators-by-purchased-traffic

> **Deprecated**. Get a list of validators and their domain fees spends, sorted by the
amount of extra traffic purchased




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/top-validators-by-purchased-traffic
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://example.com/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/top-validators-by-purchased-traffic:
    get:
      tags:
        - deprecated
        - scan
      summary: /v0/top-validators-by-purchased-traffic
      description: >
        **Deprecated**. Get a list of validators and their domain fees spends,
        sorted by the

        amount of extra traffic purchased
      operationId: getTopValidatorsByPurchasedTraffic
      parameters:
        - in: query
          name: round
          required: true
          schema:
            type: integer
            format: int64
        - in: query
          name: limit
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetTopValidatorsByPurchasedTrafficResponse
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
      deprecated: true
components:
  schemas:
    GetTopValidatorsByPurchasedTrafficResponse:
      type: object
      required:
        - validatorsByPurchasedTraffic
      properties:
        validatorsByPurchasedTraffic:
          type: array
          items:
            $ref: '#/components/schemas/ValidatorPurchasedTraffic'
    ValidatorPurchasedTraffic:
      type: object
      required:
        - validator
        - numPurchases
        - totalTrafficPurchased
        - totalCcSpent
        - lastPurchasedInRound
      properties:
        validator:
          type: string
        numPurchases:
          type: integer
          format: int64
        totalTrafficPurchased:
          type: integer
          format: int64
        totalCcSpent:
          type: string
        lastPurchasedInRound:
          type: integer
          format: int64
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````